Bug 956845 - Enable debug
Summary: Enable debug
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: nginx
Version: 18
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jamie Nguyen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-04-25 18:25 UTC by Renich Bon Ciric
Modified: 2013-05-23 12:23 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2013-04-26 20:42:17 UTC


Attachments (Terms of Use)

Description Renich Bon Ciric 2013-04-25 18:25:50 UTC
Description of problem:
I can't enable debug_connection since nginx is not built with --with-debug

Version-Release number of selected component (if applicable):
nginx-1.2.8-1.fc18.x86_64

How reproducible:

# /etc/nginx.conf
... 
error_log  /var/log/nginx/error.log;

events {
    debug_connection 127.0.0.1;
}

# EOF

Please, after that, try accessing localhost and check out the logs (/var/log/nginx/error.log)


Actual results:
2013/04/25 13:18:56 [warn] 11816#0: "debug_connection" is ignored, you need to rebuild nginx using --with-debug option to enable it in /etc/nginx/nginx.conf:17

Expected results:
debug info

Comment 1 Jamie Nguyen 2013-04-26 20:09:05 UTC
Thanks for reporting. I will fix this in all branches.

Comment 2 Fedora Update System 2013-04-26 20:36:25 UTC
nginx-1.4.0-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/nginx-1.4.0-1.fc19

Comment 3 Fedora Update System 2013-04-26 20:38:48 UTC
nginx-1.2.8-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/nginx-1.2.8-2.fc18

Comment 4 Fedora Update System 2013-04-26 20:41:45 UTC
nginx-1.0.15-5.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/nginx-1.0.15-5.el6

Comment 5 Fedora Update System 2013-04-28 09:12:40 UTC
nginx-1.2.8-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/nginx-1.2.8-3.fc18

Comment 6 Fedora Update System 2013-04-28 09:12:51 UTC
nginx-1.4.0-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/nginx-1.4.0-2.fc19

Comment 7 Fedora Update System 2013-05-03 02:43:36 UTC
nginx-1.4.0-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2013-05-13 21:05:42 UTC
nginx-1.2.9-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/nginx-1.2.9-1.fc18

Comment 9 Fedora Update System 2013-05-23 12:23:56 UTC
nginx-1.2.9-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.